linux: 3.13.0-51.84 -proposed tracker

Bug #1444141 reported by Luis Henriques on 2015-04-14
32
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Taihsiang Ho
Prepare-package
Medium
Luis Henriques
Prepare-package-meta
Medium
Luis Henriques
Prepare-package-signed
Medium
Luis Henriques
Promote-to-proposed
Medium
Chris J Arges
Promote-to-security
Medium
Chris J Arges
Promote-to-updates
Medium
Chris J Arges
Regression-testing
Medium
Canonical Platform QA Team
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Trusty
Medium
Unassigned

Bug Description

This bug is for tracking the 3.13.0-51.84 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 14. April 2015 20:52 UTC
kernel-stable-Prepare-package-end:Wednesday, 15. April 2015 21:04 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 15. April 2015 21:04 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 16. April 2015 20:17 UTC
kernel-stable-Verification-testing-start:Thursday, 16. April 2015 22:03 UTC
kernel-stable-Certification-testing-start:Thursday, 16. April 2015 22:03 UTC
kernel-stable-Security-signoff-start:Thursday, 16. April 2015 22:03 UTC
proposed-announcement-sent:True
kernel-stable-Regression-testing-start:Thursday, 16. April 2015 22:03 UTC
kernel-stable-Security-signoff-end:Tuesday, 21. April 2015 20:01 UTC
kernel-stable-Regression-testing-end:Tuesday, 21. April 2015 21:01 UTC
kernel-stable-Certification-testing-end:Wednesday, 22. April 2015 14:01 UTC
kernel-stable-Promote-to-updates-start:Wednesday, 29. April 2015 12:22 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 29. April 2015 16:42 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Wednesday, 29. April 2015 18:02 UTC

CVE References

Luis Henriques (henrix) on 2015-04-14
tags: added: kernel-release-tracking-bug
tags: added: block-proposed-trusty
tags: added: trusty
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Trusty):
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu Trusty):
status: New → Confirmed

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-keystone - bug 1444697

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-trusty (precise1) - bug 1444698

description: updated
Chris J Arges (arges) wrote :

Promote to proposed:
 linux | 3.13.0-51.84 | trusty-proposed | source
 linux-meta | 3.13.0.51.58 | trusty-proposed | source
 linux-signed | 3.13.0-51.84 | trusty-proposed | source

Brad Figg (brad-figg) on 2015-04-16
description: updated
Brad Figg (brad-figg) on 2015-04-16
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2015-04-21
description: updated
Brad Figg (brad-figg) on 2015-04-21
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2015-04-21
description: updated
Taihsiang Ho (taihsiangho) wrote :

The Hardware Certification team have completed testing this -proposed kernel.
No regressions were observed.

The report is available at:

http://people.canonical.com/~hwcert/sru-testing/trusty/3.13.0-51.84/trusty-proposed-pass-150421.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2015-04-22
description: updated
Brad Figg (brad-figg) on 2015-04-29
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (13.4 KiB)

This bug was fixed in the package linux - 3.13.0-51.84

---------------
linux (3.13.0-51.84) trusty; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1444141
  * Merged back Ubuntu-3.13.0-49.83 security release

linux (3.13.0-50.82) trusty; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1442285

  [ Andy Whitcroft ]

  * [Config] CONFIG_DEFAULT_MMAP_MIN_ADDR needs to match on armhf and arm64
    - LP: #1418140

  [ Chris J Arges ]

  * [Config] CONFIG_PCIEASPM_DEBUG=y
    - LP: #1398544

  [ Upstream Kernel Changes ]

  * KEYS: request_key() should reget expired keys rather than give
    EKEYEXPIRED
    - LP: #1124250
  * audit: correctly record file names with different path name types
    - LP: #1439441
  * KVM: x86: Check for nested events if there is an injectable interrupt
    - LP: #1413540
  * be2iscsi: fix memory leak in error path
    - LP: #1440156
  * block: remove old blk_iopoll_enabled variable
    - LP: #1440156
  * be2iscsi: Fix handling timed out MBX completion from FW
    - LP: #1440156
  * be2iscsi: Fix doorbell format for EQ/CQ/RQ s per SLI spec.
    - LP: #1440156
  * be2iscsi: Fix the session cleanup when reboot/shutdown happens
    - LP: #1440156
  * be2iscsi: Fix scsi_cmnd leakage in driver.
    - LP: #1440156
  * be2iscsi : Fix DMA Out of SW-IOMMU space error
    - LP: #1440156
  * be2iscsi: Fix retrieving MCCQ_WRB in non-embedded Mbox path
    - LP: #1440156
  * be2iscsi: Fix exposing Host in sysfs after adapter initialization is
    complete
    - LP: #1440156
  * be2iscsi: Fix interrupt Coalescing mechanism.
    - LP: #1440156
  * be2iscsi: Fix TCP parameters while connection offloading.
    - LP: #1440156
  * be2iscsi: Fix memory corruption in MBX path
    - LP: #1440156
  * be2iscsi: Fix destroy MCC-CQ before MCC-EQ is destroyed
    - LP: #1440156
  * be2iscsi: add an missing goto in error path
    - LP: #1440156
  * be2iscsi: remove potential junk pointer free
    - LP: #1440156
  * be2iscsi: Fix memory leak in mgmt_set_ip()
    - LP: #1440156
  * be2iscsi: Fix the sparse warning introduced in previous submission
    - LP: #1440156
  * be2iscsi: Fix updating the boot enteries in sysfs
    - LP: #1440156
  * be2iscsi: Fix processing CQE before connection resources are freed
    - LP: #1440156
  * be2iscsi : Fix kernel panic during reboot/shutdown
    - LP: #1440156
  * fixed invalid assignment of 64bit mask to host dma_boundary for scatter
    gather segment boundary limit.
    - LP: #1440156
  * quota: Store maximum space limit in bytes
    - LP: #1441284
  * ip: zero sockaddr returned on error queue
    - LP: #1441284
  * net: rps: fix cpu unplug
    - LP: #1441284
  * ipv6: stop sending PTB packets for MTU < 1280
    - LP: #1441284
  * netxen: fix netxen_nic_poll() logic
    - LP: #1441284
  * udp_diag: Fix socket skipping within chain
    - LP: #1441284
  * ping: Fix race in free in receive path
    - LP: #1441284
  * bnx2x: fix napi poll return value for repoll
    - LP: #1441284
  * net: don't OOPS on socket aio
    - LP: #1441284
  * bridge: dont send notification when skb->len == 0 in rtnl_bridge_notify
    - LP: #1441284
  * ipv4: tcp: get rid of ugly unicast_sock
...

Changed in linux (Ubuntu Trusty):
status: Confirmed → Fix Released
Chris J Arges (arges) wrote :

Released to updates:
 linux | 3.13.0-51.84 | trusty-security | source
 linux | 3.13.0-51.84 | trusty-updates | source
 linux-meta | 3.13.0.51.58 | trusty-security | source
 linux-meta | 3.13.0.51.58 | trusty-updates | source
 linux-signed | 3.13.0-51.84 | trusty-security | source
 linux-signed | 3.13.0-51.84 | trusty-updates | source

Brad Figg (brad-figg) on 2015-04-29
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated

3.13.0-51.84 crashes on every node I've used it on on VMware ESXi 5.5

See https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1450504

Dave Gilbert (ubuntu-treblig) wrote :

There's a report of this panicing (looks audit related):

See

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1450504

  Disabling the audit rules that were in place eliminates the crash. More details in: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1450504

Test scenario: Revert audit config to stock (as installed by vendor pkgs), boot is clean, system stable, add my rules (which have worked in all previous relases), restart audit daemon, system still working, restart Apache, BANG! kernel panic!

BUG: unable to handler kernel NULL pointer dereference at (null)
IP: [<ffffffff8136cb80>] strlen+0x0/0x30
PGD 0
Oops: 0000 [#1] SMP
... (above was manually copied from vmware console since you can't copy and paste video)

Links to screenshots of the Oops
http://imgur.com/sWXVpvX,yYMgmOS#0

Can someone please re-open this bug and mark it as critical.

Chris J Arges (arges) wrote :

@David
I have a test kernel here:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1450442

Please test it and give me feedback.
Thanks,

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers